NetworkAccessProfile Resource
Control which mobile networks Super SIMs can connect to
https://supersim.api.korewireless.com/v1/NetworkAccessProfileshttps://supersim.api.korewireless.com/v1/NetworkAccessProfiles/{Sid}
https://supersim.api.korewireless.com/v1/NetworkAccessProfiles/{UniqueName}https://supersim.api.korewireless.com/v1/NetworkAccessProfiles/{Sid}/NetworksForbidden Networks
Delete a Network Access Profile

API Authorization
Create a Network Access Profile resource
post
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Body
UniqueNamestringOptional
An application-defined string that uniquely identifies the resource. It can be used in place of the resource's sid in the URL to address the resource.
Networksstring[]Optional
List of Network SIDs that this Network Access Profile will allow connections to.
Responses
201
Created
application/json
post
/v1/NetworkAccessProfiles201
Created
Fetch a Network Access Profile resource
get
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
SidstringRequired
The SID of the Network Access Profile resource to fetch.
Responses
200
OK
application/json
get
/v1/NetworkAccessProfiles/{Sid}200
OK
Read Multiple NetworkAccessProfile resources
get
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Query parameters
PageSizeinteger · min: 1 · max: 1000Optional
How many resources to return in each list page. The default is 50, and the maximum is 1000.
PageintegerOptional
The page index. This value is simply for client state.
PageTokenstringOptional
The page token. This is provided by the API.
Responses
200
OK
application/json
get
/v1/NetworkAccessProfiles200
OK
Update a NetworkAccessProfile resource
post
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
SidstringRequired
The SID of the Network Access Profile to update.
Body
UniqueNamestringOptional
The new unique name of the Network Access Profile.
Responses
200
OK
application/json
post
/v1/NetworkAccessProfiles/{Sid}200
OK
Last updated
Was this helpful?